#!/usr/bin/env bash

set +e

# Settings:
# =========
export CC=cc
export URL=https://mjestecko.neocities.org

mkdir -p ./html/articles

./tools/main_page_generator.py ./articles | ./tools/mmd/build/multimarkdown > ./html/index.html

for d in ./articles/*/; do
  if [ -d "$d" ]; then
    if test -f "$d/make"; then
      ("$d/make")
    fi
    if test -d "$d/.dynamic"; then
      mkdir -p "./html/articles/$(basename -- $d)"
      cp -r "$d/.dynamic/." "./html/articles/$(basename -- $d)/"
    fi
    if test -d "$d/.static"; then
      mkdir -p "./html/articles/$(basename -- $d)"
      cp -r "$d/.static/." "./html/articles/$(basename -- $d)/"
    fi
    ./tools/article_wrapper.py "$d/page.mmd" $URL | ./tools/mmd/build/multimarkdown > "./html/articles/$(basename -- $d).html"
  fi
done

./tools/feed_generator.py ./articles/ $URL > ./html/feed.xml
